<?php
 
class Mnl_Planttree_Block_Adminhtml_Planttree_Grid extends Mage_Adminhtml_Block_Widget_Grid
{
    public function __construct() 
    {
        parent::__construct();
        $this->setId('planttreeGrid');
		
		$collection = Mage::getModel('planttree/planttree')->getCollection();
        $this->setCollection($collection);
        //This is the primary key of the database
        $this->setDefaultSort('planttree_id');
        $this->setDefaultDir('ASC');
        $this->setSaveParametersInSession(true);
        $this->setUseAjax(true);
    }
 
    protected function _prepareCollection()
    {
        $collection = Mage::getModel('planttree/planttree')->getCollection();
		
        $this->setCollection($collection);
		
        return parent::_prepareCollection();
    }
 
    protected function _prepareColumns()
    {
		
        $this->addColumn('planttree_id', array(
            'header'    => Mage::helper('planttree')->__('ID'),
            'align'     =>'center',
            'width'     => '50px',
            'index'     => 'planttree_id',
        ));
 		
		$this->addColumn('order_id', array(
            'header'    => Mage::helper('planttree')->__('Order ID'),
            'align'     =>'center',
            'index'     => 'order_id',
            'filter'     => false,
	    	'sortable'  => false,
            'renderer'  => 'planttree/adminhtml_planttree_renderer_order'

        ));
 
  		$this->addColumn('customer_name', array(
            'header'    => Mage::helper('planttree')->__('Customer name'),
            'align'     => 'center',
            'index'     => 'customer_name',
			'filter'     => false,
	    	'sortable'  => false,
			'renderer'  => 'planttree/adminhtml_planttree_renderer_name',
        ));
 
        
        $this->addColumn('customer_email', array(
            'header'    => Mage::helper('planttree')->__('Customer e-mail'),
            'align'     => 'center',
            'index'     => 'customer_email',
        ));
		
		$this->addColumn('planttree_amountoftrees', array(
            'header'    => Mage::helper('planttree')->__('Amount of trees'),
            'align'     => 'center',
			'filter'     => false,
	    	'sortable'  => false,
            'index'     => 'planttree_amountoftrees',
        ));
		
		$this->addColumn('planttree_amount', array(
            'header'    => Mage::helper('planttree')->__('Amount'),
            'align'     => 'center',
            'index'     => 'planttree_amount',
			'renderer'  => 'planttree/adminhtml_planttree_renderer_amount',
        ));
		
		$this->addColumn('api_status', array(
            'header'    => Mage::helper('planttree')->__('Api status'),
            'align'     => 'center',
            'index'     => 'api_status',
			'width'     => '150px',
			'renderer'  => 'planttree/adminhtml_planttree_renderer_apistatus',
        ));
		
		$this->addColumn('created', array(
            'header'    => Mage::helper('planttree')->__('Order time'),
            'align'     => 'center',
            'index'     => 'created',
			'type' => 'datetime',
			'format'    => 'dd.MM.y HH:MM:ss',
        ));

        return parent::_prepareColumns();
    }
 
    
    public function getGridUrl()
    {
      return $this->getUrl('*/*/grid', array('_current'=>true));
    }
 
 
}
