<?php
class Mnl_Planttree_Helper_Data extends Mage_Core_Helper_Abstract{
 
 	public function getAPIsettings(){
		
		$options = Mage::getStoreConfig('planttree/planttree_group',Mage::app()->getStore());
		$config_options = Mage::getConfig()->loadModulesConfiguration('config.xml')->getNode('default/planttree')->asArray(); 
		
		$options['planttree_api_url'] = $config_options['api_url'];
		if ($options && isset($options['planttree_testmode']) && (int)$options['planttree_testmode'] > 0) $options['planttree_api_url'] = $config_options['api_url_test'];
		
		if(empty($options['planttree_title']) || empty($options['planttree_text']) || empty($options['planttree_linkname']) || empty($options['planttree_linkurl'])){
			$options = $this->getAPIdefaultOptions($options['planttree_api_url'], $options); 
		}
		
		return $options;
	}
 	
	public function getStaticAPIsettings(){
		
		$options = Mage::getStoreConfig('planttree/planttree_group',Mage::app()->getStore());
		$config_options = Mage::getConfig()->loadModulesConfiguration('config.xml')->getNode('default/planttree')->asArray(); 
		
		$options['planttree_api_url'] = $config_options['api_url'];
		if ($options && isset($options['planttree_testmode']) && (int)$options['planttree_testmode'] > 0) $options['planttree_api_url'] = $config_options['api_url_test'];
		
		return $options;
	}
	
	public function sendOrderToApi($order_id = 0, $order_data = array()){
		$return = false;
		if($order_id <= 0) return $return;
		if(empty($order_data)) return $return;
		
		$options = $this->getStaticAPIsettings();
		$name = trim($order_data["customer_firstname"]).' '.trim($order_data["customer_lastname"]);
		$email = trim($order_data["customer_email"]);
		$amountoftrees = $order_data["planttree_amountoftrees"];
		$shop = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB);
		
		if ($options && isset($options['planttree_apikey']) && $options['planttree_apikey']) {
				
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $options["planttree_api_url"].'order');
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, 'key='.$options['planttree_apikey'].'&customer_name='.$name.'&customer_email='.$email.'&amount='.$amountoftrees.'&shop='.$shop);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$server_output = curl_exec($ch);
			curl_close ($ch);
			
			$output = json_decode($server_output, true);
			if (is_array($output) && isset($output['status']) && $output['status'] == 'ok') {
				$return = true;
			}

		}
		
		return $return;
	}
	
	public function getAPIdefaultOptions($_api_url, $_options){
		$ch = curl_init();

		curl_setopt($ch, CURLOPT_URL, $_api_url.'get_options');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$server_output = curl_exec($ch);
		curl_close ($ch);
		$output = json_decode($server_output, true);
		if ($output && is_array($output) && count($output) > 0) {
			if(empty($_options['planttree_title']) && isset($output["title"])){
				$_options['planttree_title'] = $output["title"];
				Mage::getConfig()->saveConfig('planttree/planttree_group/planttree_title', $_options['planttree_title'], 'default', 0);
			};
			if(empty($_options['planttree_text']) && isset($output["text_eur"])){ 
				$_options['planttree_text'] = $output["text_eur"];
				Mage::getConfig()->saveConfig('planttree/planttree_group/planttree_text', $_options['planttree_text'], 'default', 0);
			};
			if(empty($_options['planttree_fee']) && isset($output["fee"])){ 
				$_options['planttree_fee'] = $output["fee"] * 1.2;
			};
		}
		
		return $_options;
	}
}